[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectHashTable.OwnsObjects

Does the hash table own the objects ?

## Declaration

Source position: contnrs.pp line 476

`public property TFPObjectHashTable.OwnsObjects : Boolean read FOwnsObjects write FOwnsObjects;`

## Description

OwnsObjects determines what happens with objects which are removed from the hash table: if True, then removing an object from the hash list will free the object. If False, the object is not freed. Note that way in which the object is removed is not relevant: be it Delete, Remove or Clear.

## See also

TFPObjectHashTable.Create |  | Create a new instance of TFPObjectHashTable
TFPObjectHashTable.Items |  | Key-based access to the objects

Documentation generated on: Feb 26 2014